<div class="overlay" id="overlay"></div>
<div class="modal" id="modal">
  <form *ngIf="loader">
    <div class="styled-input">
      <input type="text"  [(ngModel)]="dataUser.picture"  placeholder="Foto" name="picture" required/>
      <span></span>
    </div>
    <div class="styled-input">
      <input type="text" [(ngModel)]="dataUser.name" placeholder="Nombre" name="name" required />
      <span></span>
    </div>
    <div class="styled-input">
      <input type="text"[(ngModel)]="dataUser.fathersLastName" placeholder="Apellido paterno" name="fathersLastName" required />
      <span></span>
    </div>
    <div class="styled-input">
      <input type="text" [(ngModel)]="dataUser.mothersLastName" placeholder="Apellido materno" name="mothersLastName" required />
      <span></span>
    </div>
    <div class="styled-input">
      <input type="email" [(ngModel)]="dataUser.email" placeholder="Email" name="email" required />
      <span></span>
    </div>
    <div class="styled-input">
      <input type="number" [(ngModel)]="dataUser.roleId" placeholder="Rol" max="3" name="roleId" required />
      <span></span>
    </div>
    <div class="styled-input">
      <button class="button-one" (click)="saveUser()">Guardar</button>
    </div>
    <div class="styled-input">
      <button class="button-one" (click)="cancelUser()">Cancelar</button>
    </div>
  </form>
</div>